/**
 * Sample module client-side form action customization.
 *
 * @copyright  Amiro.CMS. All rights reserved.
 * @package    Module_Sample
 * @since      5.14.0
 * @filesource
 */

AMI.Message.addListener(
    'ON_FORM_FIELD_VALIDATE',
    function(oParameters){
	    if(oParameters.oField.value.substr(-4) < 1985){
		    oParameters.message = "\n" + AMI.Template.Locale.get('form_validate_birth_too_old');
		    oParameters.error = true;
		    return false;
	    }
        return true;
    }
);
