/**
 * Sample module client-side list action customization.
 *
 * @copyright  Amiro.CMS. All rights reserved.
 * @package    Module_Sample
 * @since      5.12.4
 * @filesource
 */

AMI.Message.addListener(
    'ON_MODULE_ACTION',
    function(action, oParameters){
        if(oParameters.oComponent.componentId != '##_component_id##'){
            return true;
        }
        switch(action){
            case 'list_edit':
                alert(AMI.Template.Locale.get('list_edit_action_called'));
                break;
            case 'list_copy':
                return confirm(AMI.Template.Locale.get('list_confirm_copy'));
        }
        return true;
    }
);
